'use strict';

Liferay.Loader.define('dynamic-data-mapping-form-field-type$axios@0.24.0/lib/core/buildFullPath', ['module', 'exports', 'require', '../helpers/isAbsoluteURL', '../helpers/combineURLs'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    var isAbsoluteURL = require('../helpers/isAbsoluteURL');
    var combineURLs = require('../helpers/combineURLs');

    /**
     * Creates a new URL by combining the baseURL with the requestedURL,
     * only when the requestedURL is not already an absolute URL.
     * If the requestURL is absolute, this function returns the requestedURL untouched.
     *
     * @param {string} baseURL The base URL
     * @param {string} requestedURL Absolute or relative URL to combine
     * @returns {string} The combined full path
     */
    module.exports = function buildFullPath(baseURL, requestedURL) {
      if (baseURL && !isAbsoluteURL(requestedURL)) {
        return combineURLs(baseURL, requestedURL);
      }
      return requestedURL;
    };
  }
});
//# sourceMappingURL=buildFullPath.js.map