'use strict';

Liferay.Loader.define('dynamic-data-mapping-form-field-type$axios@0.24.0/lib/core/settle', ['module', 'exports', 'require', './createError'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    var createError = require('./createError');

    /**
     * Resolve or reject a Promise based on response status.
     *
     * @param {Function} resolve A function that resolves the promise.
     * @param {Function} reject A function that rejects the promise.
     * @param {object} response The response.
     */
    module.exports = function settle(resolve, reject, response) {
      var validateStatus = response.config.validateStatus;
      if (!response.status || !validateStatus || validateStatus(response.status)) {
        resolve(response);
      } else {
        reject(createError('Request failed with status code ' + response.status, response.config, null, response.request, response));
      }
    };
  }
});
//# sourceMappingURL=settle.js.map